package com.bocloud.nms.model.veeam.job;

public class BackupSQLSettingsModel {

    private String logsProcessing;
    private Integer backupMinsCount;
    private String retainLogBackups;
    private Integer keepDaysCount;
    private BackupLogShippingServersModel logShippingServers;

    public String getLogsProcessing() {
        return logsProcessing;
    }

    public void setLogsProcessing(String logsProcessing) {
        this.logsProcessing = logsProcessing;
    }

    public Integer getBackupMinsCount() {
        return backupMinsCount;
    }

    public void setBackupMinsCount(Integer backupMinsCount) {
        this.backupMinsCount = backupMinsCount;
    }

    public String getRetainLogBackups() {
        return retainLogBackups;
    }

    public void setRetainLogBackups(String retainLogBackups) {
        this.retainLogBackups = retainLogBackups;
    }

    public Integer getKeepDaysCount() {
        return keepDaysCount;
    }

    public void setKeepDaysCount(Integer keepDaysCount) {
        this.keepDaysCount = keepDaysCount;
    }

    public BackupLogShippingServersModel getLogShippingServers() {
        return logShippingServers;
    }

    public void setLogShippingServers(BackupLogShippingServersModel logShippingServers) {
        this.logShippingServers = logShippingServers;
    }

    @Override public String toString() {
        return "BackupSQLSettingsModel{" + "logsProcessing='" + logsProcessing + '\'' + ", backupMinsCount="
            + backupMinsCount + ", retainLogBackups='" + retainLogBackups + '\'' + ", keepDaysCount=" + keepDaysCount
            + ", logShippingServers=" + logShippingServers + '}';
    }
}
